Subject: Re: Address Resolution with ND verus MAC address from the EUI-64 form at

From: Ben Clifford <[email-masked]>
Date: Sat, 1 Dec 2001 06:23:07 +0000 (UCT)

On Wed, 28 Nov 2001, Huber Matthias wrote:

> On the other hand I have learned that all global aggregatable unicast addresses have to 
> use the EUI-64 format for the interface ID. At least in a Ethernet (I think this is 
> the majority of  the LANs today) this EUI-64 ID is derived from the MAC address in 
> an reversible way. (Simply adding/removing 0xFFFE in the "middle"). So my question is
> why do I need the ND in a LAN in order to do the address resolution ???
> I know that there must be a simple reason, but I don't know it. 

As far as I can see in the latest addressing draft, there is no
requirement that the EUI-64 be derived from the MAC address of the
particular ethernet card in question.

RFC 2464 only mentions the use of MAC address in regards to stateless
autoconfiguration.

The EUI-64 could be formed manually, by setting the Universal/Local bit to
Local and then filling in the rest of the ID with anything. This is
totally unrelated to the MAC address.

Ben

-- 
Ben Clifford  [email-masked]  http://www.hawaga.org.uk/ben/
Currently seeking employment in Los Angeles: http://www.hawaga.org.uk/resume/
IPv6 only webserver at: http://edge.ipv6.hawaga.org.uk:81/ben/

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------